#include <bits/stdc++.h>
using namespace std;

priority_queue<long long>v;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, m, b, g;
    cin>>n;
            long long a[1000];
    for(int i=0; i<n; i++){
        cin>>m;
        if(m%2==0)g=m;
        else g=m+1;
        for(int j=0; j<m; j++){
            cin>>b;
            v.push(b);
        }
        if(n<8){
        for(long long j=0; j<g/2; j++){
            a[j]=v.top();
            v.pop();
            a[m-1-j]=v.top();
            v.pop();
        }
        }
        else{
        for(long long j=0; j<g/2; j++){
            a[j]=v.top();
            v.pop();
            if(m&2==1 && j!=g/2){
            a[m-1-j]=v.top();
            v.pop();
            }
        }   
        }
        for(long long j=1; j<m-1; j++){
            if(a[j]*2>a[j-1]+a[j+1]){
                cout<<"NO"<<endl;
                break;
            }
            else{
                if(j==m-2) cout<<"YES"<<endl;
            }
        }
    }
}
